{-# LANGUAGE QuasiQuotes     #-}
{-# LANGUAGE TemplateHaskell #-}

module Feature.Generation.Templates ( renderGen ) where

import           Core.Templates                (hxVals)
import           Feature.Generation.Passwords  (Password)

import qualified Data.Text                     as T
import qualified Data.Text.Lazy                as LT

import           Text.Blaze.Html
import           Text.Blaze.Html.Renderer.Text (renderHtml)
import           Text.Hamlet                   (shamletFile)

import           Prelude

renderGen :: Password -> Password -> Password -> LT.Text
renderGen genXkcd genOldschool genGibberish = renderHtml ( $(shamletFile "./views/gen.hamlet") )
